<?php

/* **************************************************************************************

 Title          ScriptureLinkBtn - Editor Plugin for Joomla 1.5x 

 Author         Mike Leeper

 Version        1.1

 Copyright       by MLWebTechnologies.com

 License        This is free software and you may redistribute it under the GPL.

                ScriptureLinkBtn comes with absolutely no warranty. For details, see the 

                license at http://www.gnu.org/licenses/gpl.txt

                YOU ARE NOT REQUIRED TO KEEP COPYRIGHT NOTICES IN

                THE HTML OUTPUT OF THIS SCRIPT. YOU ARE NOT ALLOWED

                TO REMOVE COPYRIGHT NOTICES FROM THE SOURCE CODE.

/* **************************************************************************************

*/

// no direct access

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

class plgButtonScriptureLinkBtn extends JPlugin

{

	//function plgButtonScriptureLinkBtn(& $subject, $config)

	//{

	//	parent::__construct($subject, $config);

	//}
	public function __construct(& $subject, $config)
	{
		parent::__construct($subject, $config);

	}
  /**

  * ScriptureLinks button

  * @return array A two element array of ( imageName, textToInsert )

  */

	public function onDisplay($name)

	{

		global $mainframe;

    $plugin =& JPluginHelper::getPlugin('content', 'scripturelinks');

    $sc_params 	= new JParameter( $plugin->params );

    $Version = $sc_params->def( 'bible_version', '51' );
	
		$mainframe = JFactory::getApplication();
		
		$doc 		=& JFactory::getDocument();
		
		$template 	= $mainframe->getTemplate();

		$js = "

			function insertScriptureLink(editor) {

          var inst = tinyMCE.getInstanceById(editor);

          var marker = inst.selection.getBookmark();

          tinyMCE.execCommand('mceInsertContent',false,'{/bible}');    

          inst.selection.moveToBookmark(marker);

          tinyMCE.execCommand('mceInsertContent',false,'{bible $Version}');			}

			";

		$doc->addScriptDeclaration($js);

		$button = new JObject();

		$button->set('modal', false);

		$button->set('onclick', 'insertScriptureLink(\''.$name.'\');return false;');

		$button->set('text', JText::_('Insert ScriptureLink'));

		$button->set('name', 'Scripture');

		$button->set('link', '#');

		return $button;

  }

}

?>

